Skip to content

Indexes

All operations require authentication.

6 operationsv1/dbaas/logs
Agent setup

List indexesProduction

GET
/1.0/dbaas/logs/{serviceName}/output/opensearch/index

Returns the indexes of the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation
404objectError 404 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/opensearch/index \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Get an indexProduction

GET
/1.0/dbaas/logs/{serviceName}/output/opensearch/index/{indexId}

Returns the index.

Path parameters

indexId
required
stringuuid

Index ID

serviceName
required
string

Service name

Response

200IndexWithIAMsuccessful operation
alertNotifyEnabled
read-only
boolean

If set, notify when size is near 80, 90 or 100 % of its maximum capacity

createdAt
read-only
stringdate-time

Index creation

currentSize
read-only
integer

Current index size (in bytes)

description
read-only
string

Index description

iam
read-only
ResourceMetadata

IAM resource metadata

indexId
read-only
stringuuid

Index ID

isEditable
read-only
boolean

Indicates if you are allowed to edit entry

maxSize
read-only
integer

Maximum index size (in bytes)

name
read-only
string

Index name

nbShard
read-only
integer

Number of shard

updatedAt
read-only
stringdate-time

Index last update

404objectError 404 response

Example uses indexId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/opensearch/index/{indexId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "alertNotifyEnabled": true, "createdAt": "2024-01-01T12:00:00Z", "currentSize": 0, "description": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "indexId": "00000000-0000-0000-0000-000000000000", "isEditable": true, "maxSize": 0, "name": "string", "nbShard": 0, "updatedAt": "2024-01-01T12:00:00Z"}

List index URLsProduction

GET
/1.0/dbaas/logs/{serviceName}/output/opensearch/index/{indexId}/url

Returns the index URLs of the Logs Data Platform service.

Path parameters

indexId
required
stringuuid

Index ID

serviceName
required
string

Service name

Response

200Url[]successful operation
address
read-only
string

Web URI

type
read-only
UrlTypeEnum

Service type

ValuesCONSOLEELASTICSEARCH_APIGRAYLOG_APIGRAYLOG_WEBUIHTTP_GELFHTTP_TLS_GELFKIBANA_WEBUIOPENSEARCH_APIOSD_WEBUIPROMETHEUS_APISERVICE_DOMAINTCP_BEATSTCP_CAP_N_PROTOTCP_GELFTCP_LTSV_LINETCP_LTSV_NULTCP_RFC5424TCP_TLS_BEATSTCP_TLS_CAP_N_PROTOTCP_TLS_GELFTCP_TLS_LTSV_LINETCP_TLS_LTSV_NULTCP_TLS_RFC5424UDP_CAP_N_PROTOUDP_GELFUDP_LTSV_LINEUDP_LTSV_NULUDP_RFC5424WEB_SOCKET
404objectError 404 response

Example uses indexId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/opensearch/index/{indexId}/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "address": "string", "type": "CONSOLE" }]

Create an indexProduction

POST
/1.0/dbaas/logs/{serviceName}/output/opensearch/index

Creates an index on the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

Request body (required)

alertNotifyEnabled
boolean

If set, notify when size is near 80, 90 or 100 % of its maximum capacity

description
required
string

Description

nbShard
integer

Number of shard

suffix
required
string

Suffix

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response
409objectError 409 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/opensearch/index \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Delete an indexProduction

DELETE
/1.0/dbaas/logs/{serviceName}/output/opensearch/index/{indexId}

Deletes the index.

Path parameters

indexId
required
stringuuid

Index ID

serviceName
required
string

Service name

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses indexId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/opensearch/index/{indexId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Update an indexProduction

PUT
/1.0/dbaas/logs/{serviceName}/output/opensearch/index/{indexId}

Updates the index.

Path parameters

indexId
required
stringuuid

Index ID

serviceName
required
string

Service name

Request body (required)

alertNotifyEnabled
boolean

If set, notify when size is near 80, 90 or 100 % of its maximum capacity

description
required
string

Description

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses indexId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/opensearch/index/{indexId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}